Bug 456266 - Review Request: appframework - Swing Application Framework
Review Request: appframework - Swing Application Framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 456337
  Show dependency treegraph
 
Reported: 2008-07-22 11:18 EDT by Victor G. Vasilyev
Modified: 2008-08-29 08:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-29 08:04:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
langel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Victor G. Vasilyev 2008-07-22 11:18:47 EDT
Spec URL: http://www.netbeans.org/files/documents/210/2040/appframework.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2041/appframework-1.03-1.fc10.src.rpm
Description: 
The JSR-296 Swing Application Framework prototype implementation is a small 
set of Java classes that simplify building desktop applications.

This package is required for the NetBeans IDE 6.1
Comment 1 Victor G. Vasilyev 2008-07-31 13:10:40 EDT
This is my first contribution so I need a sponsor please.
Comment 2 Victor G. Vasilyev 2008-08-14 11:29:09 EDT
The second release is prepared for review.
Spec URL: http://nbi.netbeans.org/files/documents/210/2040/appframework.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2109/appframework-1.03-2.fc10.src.rpm

Changes:
- java-devel & jpackage-utils are added as the build requirements
- jpackage-utils is added as the run-time requirement
- Appropriate values of Group Tags are chosen from the official list
- Redundant run-time requirements for /bin/* utilities are removed
- A ghost symlink for javadoc package is removed
- Documentation added
- Both build-time and run-time requirements for the swing-layout
  package are added
- Redundant dependency on swing-worker is removed, because it is
  included as a part of JRE since version 6.

rpmlint shows no errors and no warnings against both SRPM and RPMs.
Comment 3 Conrad Meyer 2008-08-24 06:16:26 EDT
Changelog format seems a bit off to me, see [0]. Builds in Koji [1]. Spec looks good to me but I havn't done a formal review.

[0]: http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
[1]: http://koji.fedoraproject.org/koji/taskinfo?taskID=782501
Comment 4 Lillian Angel 2008-08-27 13:57:02 EDT
Only one minor issue. Marked with XXXX


rpmlint:
$ rpmlint -i /notnfs/langel/rpm/RPMS/noarch/appframework-*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

http://fedoraproject.org/wiki/Packaging/Guidelines

* 1 Packaging Guidelines
o 1.1 Naming
ok
o 1.2 Legal
ok
o 1.3 No inclusion of pre-built binaries or libraries
n/a
o 1.4 Writing a package from scratch
ok
o 1.5 Modifying an existing package
n/a
o 1.6 Filesystem Layout
ok
+ 1.6.1 Libexecdir
n/a
o 1.7 Use rpmlint
no errors
o 1.8 Changelogs
good
o 1.9 Tags
ok
o 1.10 BuildRoot tag
ok
o 1.11 Requires
ok
o 1.12 BuildRequires
ok
o 1.13 Summary and description
ok
o 1.14 Encoding
ok
o 1.15 Documentation
ok
o 1.16 Compiler flags
ok
o 1.17 Debuginfo packages
n/a
o 1.18 Exclusion of Static Libraries
n/a
o 1.19 Duplication of system libraries
n/a
o 1.20 Beware of Rpath
n/a
o 1.21 Configuration files
n/a
o 1.22 Initscripts
n/a
o 1.23 Desktop files
n/a
o 1.24 Macros
ok. consistent.
o 1.25 Handling Locale Files
n/a
o 1.26 Timestamps
n/a
o 1.27 Parallel make
n/a
o 1.28 Scriptlets requirements
n/a
o 1.29 Running scriptlets only in certain situations
n/a
o 1.30 Scriplets are only allowed to write in certain directories
n/a
o 1.31 Conditional dependencies
n/a
o 1.32 Build packages with separate user accounts
n/a
o 1.33 Relocatable packages
n/a
o 1.34 Code Vs Content
ok
o 1.35 File and Directory Ownership
ok
o 1.36 Users and Groups
ok
o 1.37 Web Applications
n/a
o 1.38 Conflicts
n/a
o 1.39 No External Kernel Modules
n/a
o 1.40 No Files or Directories under /srv
n/a
o 1.41 Application Specific Guidelines
n/a


http://fedoraproject.org/wiki/Packaging/ReviewGuidelines


MUST Items:

- MUST: rpmlint must be run on every package. The output should be posted in the review.
no errors
- MUST: The package must be named according to the Package Naming Guidelines .
done
- MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines .
done
- MUST: The package must meet the Packaging Guidelines .
done
- MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
done
- MUST: The License field in the package spec file must match the actual license.
done
- MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
done
- MUST: The spec file must be written in American English.
done
- MUST: The spec file for the package MUST be legible. If the reviewer is unable to read the spec file, it will be impossible to perform a review. Fedora is not the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
done
- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
done
- MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
on i386 
- MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
done
- MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
n/a
- MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
n/a
- MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
n/a
- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. Refer to the Guidelines for examples.
ok
- MUST: A package must not contain any duplicate files in the %files listing.
ok

XXXX MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

I think the defattr lines should be fixed to %defattr(-,root,root,-).


- MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
done
- MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
done
- MUST: The package must contain code, or permissable content. This is described in detail in the code vs. content section of Packaging Guidelines .
done
- MUST: Large documentation files should go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity)
done
- MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
done
- MUST: Header files must be in a -devel package.
n/a
- MUST: Static libraries must be in a -static package.
n/a
- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
n/a
- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
n/a
- MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
n/a
- MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
ok
- MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. This is described in detail in the desktop files section of the Packaging Guidelines . If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
ok
- MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
ok
- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.
done
- MUST: All filenames in rpm packages must be valid UTF-8.
ok


SHOULD Items:

- SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
done
- SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
done
- SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
done, works.
- SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
n/a
- SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
ok
- SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
ok
Comment 5 Victor G. Vasilyev 2008-08-27 14:57:04 EDT
The forth revision is prepared. The minor issue is fixed.

Spec URL: http://nbi.netbeans.org/files/documents/210/2040/appframework.spec
SRPM URL:
http://nbi.netbeans.org/files/documents/210/2153/appframework-1.03-4.fc10.src.rpm

Changes:
- The %%defattr(-,root,root,-) is used everywhere
- Use the %%{ant} instead of the ant command
- Use the %%{version} in the "-n" option of the %%setup

Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=789109
Comment 6 Lillian Angel 2008-08-27 15:01:42 EDT
Approved.
Comment 7 Victor G. Vasilyev 2008-08-27 15:14:19 EDT
New Package CVS Request
=======================
Package Name: appframework
Short Description: Swing Application Framework
Owners: victorv
Branches:
InitialCC:
Comment 8 Kevin Fenzi 2008-08-29 00:29:12 EDT
cvs done.
Comment 9 Victor G. Vasilyev 2008-08-29 08:04:31 EDT
Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=792982

Note You need to log in before you can comment on or make changes to this bug.